package uk.co.blatech.blaupload3.view

import android.os.Bundle
import android.util.Log
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.fragment.app.Fragment
import kotlinx.android.synthetic.main.pager_fragment.*
import uk.co.blatech.blaupload3.R
import uk.co.blatech.blaupload3.model.File
import uk.co.blatech.blaupload3.util.ImagePagerAdapter
import uk.co.blatech.blaupload3.util.JSONLoader

class PagerFragment : Fragment() {

    override fun onCreateView(inflater: LayoutInflater, container: ViewGroup?, savedInstanceState: Bundle?): View? {
        super.onCreate(savedInstanceState)
        return inflater.inflate(R.layout.pager_fragment, container, false)

    }
    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        val adapter = ImagePagerAdapter(ArrayList<File>())
        image_pager.adapter = adapter
        JSONLoader.loadJsonToAdapter2(activity?.applicationContext, adapter)
        Log.i("onCreateView", "bar")
    }
}