package uk.co.blatech.blaupload3.view

import android.os.Bundle
import android.util.Log
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.fragment.app.Fragment
import androidx.recyclerview.widget.GridLayoutManager
import kotlinx.android.synthetic.main.gallery_fragment.*
import uk.co.blatech.blaupload3.R
import uk.co.blatech.blaupload3.model.File
import uk.co.blatech.blaupload3.util.ImageGalleryAdapter
import uk.co.blatech.blaupload3.util.JSONLoader

class GalleryFragment : Fragment() {

    override fun onCreateView(inflater: LayoutInflater, container: ViewGroup?, savedInstanceState: Bundle?): View? {
        super.onCreate(savedInstanceState)
        Log.i("onCreateView", "foo")

        return inflater.inflate(R.layout.gallery_fragment, container, false)

    }
    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        val layoutManager = GridLayoutManager(activity?.applicationContext, 5)
        gallery_view.layoutManager = layoutManager
        val adapter =ImageGalleryAdapter(ArrayList<File>())
        gallery_view.adapter = adapter
        JSONLoader.loadJsonToAdapter(activity?.applicationContext, adapter)
        Log.i("onCreateView", "bar")
    }
}